## exaile 0.2.8+debian

=== Makefile ===
PREFIX=/usr
CWD=`pwd` 
all: build 
	@echo "Done"
	@echo "Type: 'make install' now"

build: mmkeys.so

mmkeys.so:
	cd mmkeys && make mmkeys.so && cd ..
	cp mmkeys/mmkeys.so .

make-install-dirs: 
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/share/
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/images
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/plugins
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/images/default_theme
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/xl
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/po
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/sql

install: make-install-dirs mmkeys.so
	install -m 644 exaile.py $(DESTDIR)$(PREFIX)/share/exaile
	install -m 644 exaile.glade $(DESTDIR)$(PREFIX)/share/exaile
	install -m 644 sql/*.sql $(DESTDIR)$(PREFIX)/share/exaile/sql
	install -m 644 mmkeys.so $(DESTDIR)$(PREFIX)/share/exaile
	install -m 644 images/*.png $(DESTDIR)$(PREFIX)/share/exaile/images
	install -m 644 images/default_theme/*.png \
	$(DESTDIR)$(PREFIX)/share/exaile/images/default_theme
	install -m 644 po/*.po $(DESTDIR)$(PREFIX)/share/exaile/po
	install -m 644 xl/*.py $(DESTDIR)$(PREFIX)/share/exaile/xl
	install -m 644 plugins/*.py $(DESTDIR)$(PREFIX)/share/exaile/plugins
	install -m 644 plugins/*.glade $(DESTDIR)$(PREFIX)/share/exaile/plugins
	install -m 644 images/largeicon.png \
	$(DESTDIR)$(PREFIX)/share/pixmaps/exaile.png
	install -m 644 exaile.desktop $(DESTDIR)$(PREFIX)/share/applications/
	cd $(DESTDIR)$(PREFIX)/bin && \
	ln -sf ../share/exaile/exaile.py exaile && chmod \
	755 exaile

clean:
	-rm mmkeys.so
	cd mmkeys && make clean && cd ..
	find . -name "*.pyc" -exec rm {} \;
	find . -name "*.pyo" -exec rm {} \;

tarball: clean
	tar --exclude .svn -czvf ../exaile.tar.gz ../exaile
	
uninstall:
	rm -r $(DESTDIR)$(PREFIX)/share/exaile
	rm -r $(DESTDIR)$(PREFIX)/bin/exaile

=== mmkeys/Makefile ===
# Copyright 2004 Joe Wreschnig. Released under the terms of the GNU GPL.

PYTHON_DIR = /usr/include/python2.4

CFLAGS += -fPIC -O2 `pkg-config --cflags gtk+-2.0 pygtk-2.0` -I$(PYTHON_DIR)
LDFLAGS += `pkg-config --libs gtk+-2.0 pygtk-2.0`

mmkeys.so: mmkeyspy.o mmkeys.o mmkeysmodule.o
	$(CC) $(LDFLAGS) -shared $^ -o $@
	strip mmkeys.so

DEFS=`pkg-config --variable=defsdir pygtk-2.0`

mmkeyspy.c: mmkeys.defs mmkeys.override
	pygtk-codegen-2.0 --prefix mmkeys \
	--register $(DEFS)/gdk-types.defs \
	--register $(DEFS)/gtk-types.defs \
	--override mmkeys.override \
	mmkeys.defs > gen-tmp
	mv gen-tmp $@

clean:
	rm -f mmkeys.so *.o mmkeyspy.c

distclean: clean
	rm -f *~ gen-tmp

## exaile 0.2.10+debian

=== Makefile ===
PREFIX ?= /usr/local
LIBDIR ?= $(PREFIX)/lib
FIREFOX ?= /usr/lib/firefox

all: compile mmkeys.so translations
	@echo "Done"
	@echo "Type: 'make install' now"

compile:
	python -m compileall xl lib

mmkeys.so:
	cd mmkeys && make mmkeys.so && cd .. && cp mmkeys/mmkeys.so .

translations:
	python po/createpot.py compile

make-install-dirs: 
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(LIBDIR)
	mkdir -p $(DESTDIR)$(LIBDIR)/exaile
	mkdir -p $(DESTDIR)$(PREFIX)/share/
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/images
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/plugins
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/images/default_theme
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/xl
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/xl/media
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/lib
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/sql
	mkdir -p $(DESTDIR)$(PREFIX)/share/locale
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1

install: make-install-dirs
	install -m 644 exaile.1 $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 exaile.py $(DESTDIR)$(PREFIX)/share/exaile
	install -m 644 exaile.glade $(DESTDIR)$(PREFIX)/share/exaile
	install -m 644 equalizer.ini $(DESTDIR)$(PREFIX)/share/exaile
	install -m 644 sql/*.sql $(DESTDIR)$(PREFIX)/share/exaile/sql
	-install -m 644 mmkeys.so $(DESTDIR)$(LIBDIR)/exaile
	install -m 644 images/*.png $(DESTDIR)$(PREFIX)/share/exaile/images
	install -m 644 images/default_theme/*.png \
	$(DESTDIR)$(PREFIX)/share/exaile/images/default_theme
	install -m 644 xl/*.py $(DESTDIR)$(PREFIX)/share/exaile/xl
	-install -m 644 xl/*.pyc $(DESTDIR)$(PREFIX)/share/exaile/xl
	install -m 644 xl/media/*.py $(DESTDIR)$(PREFIX)/share/exaile/xl/media
	-install -m 644 xl/media/*.pyc $(DESTDIR)$(PREFIX)/share/exaile/xl/media
	install -m 644 lib/*.py $(DESTDIR)$(PREFIX)/share/exaile/lib
	-install -m 644 lib/*.pyc $(DESTDIR)$(PREFIX)/share/exaile/lib
	install -m 644 plugins/*.py $(DESTDIR)$(PREFIX)/share/exaile/plugins
	install -m 644 plugins/*.glade $(DESTDIR)$(PREFIX)/share/exaile/plugins
	install -m 644 images/largeicon.png \
	$(DESTDIR)$(PREFIX)/share/pixmaps/exaile.png
	install -m 644 exaile.desktop $(DESTDIR)$(PREFIX)/share/applications/
	cd $(DESTDIR)$(PREFIX)/bin && \
	  /bin/echo -e \
	    "#!/bin/sh\n" \
	    "cd $(PREFIX)/share/exaile\n" \
	    "export LD_LIBRARY_PATH=\$$LD_LIBRARY_PATH:$(FIREFOX)\n" \
	    "exec python exaile.py \"\$$@\"" \
	    > exaile && \
	  chmod 755 exaile
	for f in `find po -name exaile.mo` ; do \
	  install -D -m 644 $$f \
	    `echo $$f | sed "s|po|$(DESTDIR)$(PREFIX)/share/locale|"` ; \
	  done

clean:
	-rm mmkeys.so
	cd mmkeys && make clean && cd ..
	find . -name "*.pyc" -exec rm {} \;
	find . -name "*.pyo" -exec rm {} \;
	-find po -maxdepth 1 -regextype posix-basic -regex "po/[^.]*" -type d -exec rm -rf {} \;

tarball: clean
	tar --exclude .svn -czvf ../exaile.tar.gz ../exaile

uninstall:
	rm -r $(DESTDIR)$(PREFIX)/share/exaile
	rm -r $(DESTDIR)$(LIBDIR)/exaile
	rm -r $(DESTDIR)$(PREFIX)/bin/exaile
	rm  $(DESTDIR)$(PREFIX)/share/applications/exaile.desktop
	rm  $(DESTDIR)$(PREFIX)/share/pixmaps/exaile.png
	find $(DESTDIR)$(PREFIX)/share/locale -name exaile.mo -exec rm {} \;

## exaile 0.2.11.1

=== Makefile ===
PREFIX ?= /usr/local
LIBDIR ?= /lib
FIREFOX ?= /usr/lib/firefox

all: compile mmkeys.so translations
	@echo "Done"
	@echo "Type: 'make install' now"

compile:
	python -m compileall xl lib
	python -O -m compileall xl lib

mmkeys.so:
	cd mmkeys && make mmkeys.so && cd .. && cp mmkeys/mmkeys.so .

translations:
	python po/createpot.py compile

make-install-dirs: 
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)
	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile
	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile/lib
	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile/xl
	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile/xl/gui
	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile/xl/media
	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile/xl/panels
	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile/xl/plugins
	mkdir -p $(DESTDIR)$(PREFIX)/share/
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/images
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/images/default_theme
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/data
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/sql
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/xl
	mkdir -p $(DESTDIR)$(PREFIX)/share/exaile/xl/plugins
	mkdir -p $(DESTDIR)$(PREFIX)/share/locale
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1

install: make-install-dirs
	install -m 644 exaile.1 $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 exaile.py $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile
	install -m 644 exaile.glade $(DESTDIR)$(PREFIX)/share/exaile
	install -m 644 equalizer.ini $(DESTDIR)$(PREFIX)/share/exaile
	install -m 644 sql/*.sql $(DESTDIR)$(PREFIX)/share/exaile/sql
	-install -m 644 mmkeys.so $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile
	install -m 644 images/*.png $(DESTDIR)$(PREFIX)/share/exaile/images
	install -m 644 images/default_theme/*.png \
	$(DESTDIR)$(PREFIX)/share/exaile/images/default_theme
	install -m 644 xl/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile/xl
	-install -m 644 xl/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile/xl
	install -m 644 xl/media/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile/xl/media
	-install -m 644 xl/media/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile/xl/media
	install -m 644 xl/panels/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile/xl/panels
	-install -m 644 xl/panels/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile/xl/panels
	install -m 644 xl/gui/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile/xl/gui
	-install -m 644 xl/gui/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile/xl/gui
	install -m 644 lib/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile/lib
	-install -m 644 lib/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile/lib
	install -m 644 data/*.ini $(DESTDIR)$(PREFIX)/share/exaile/data
	install -m 644 xl/plugins/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile/xl/plugins
	install -m 644 xl/plugins/*.glade $(DESTDIR)$(PREFIX)/share/exaile/xl/plugins
	install -m 644 images/largeicon.png \
	$(DESTDIR)$(PREFIX)/share/pixmaps/exaile.png
	install -m 644 exaile.desktop $(DESTDIR)$(PREFIX)/share/applications/
	cd $(DESTDIR)$(PREFIX)/bin && \
	  /bin/echo -e \
	    "#!/bin/sh\n" \
	    "cd $(PREFIX)/share/exaile\n" \
	    "export LD_LIBRARY_PATH=\$$LD_LIBRARY_PATH:$(FIREFOX)\n" \
		"export MOZILLA_FIVE_HOME=$(FIREFOX)\n" \
	    "exec python $(PREFIX)$(LIBDIR)/exaile/exaile.py \"\$$@\"" \
	    > exaile && \
	  chmod 755 exaile
	for f in `find po -name exaile.mo` ; do \
	  install -D -m 644 $$f \
	    `echo $$f | sed "s|^po|$(DESTDIR)$(PREFIX)/share/locale|"` ; \
	  done

clean:
	rm -f mmkeys.so
	cd mmkeys && make clean && cd ..
	find . -name "*.py[co]" -exec rm -f {} \;
	find po -maxdepth 1 -regextype posix-basic -regex "po/[^.]*" -type d -exec rm -rf {} \;
	rm -f exaile.glade.h messages.pot plugins/plugins.glade.h

tarball: clean
	tar --exclude .svn -czvf ../exaile.tar.gz ../exaile

uninstall:
	rm -rf $(DESTDIR)$(PREFIX)/share/exaile
	rm -rf $(DESTDIR)$(PREFIX)$(LIBDIR)/exaile
	rm -rf $(DESTDIR)$(PREFIX)/bin/exaile
	rm -f $(DESTDIR)$(PREFIX)/share/applications/exaile.desktop
	rm -f $(DESTDIR)$(PREFIX)/share/pixmaps/exaile.png
	find $(DESTDIR)$(PREFIX)/share/locale -name exaile.mo -exec rm -f {} \;

## exaile 0.2.14+debian

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 PREFIX ?= /usr/local
 LIBDIR ?= /lib
-FIREFOX ?= /usr/lib/firefox
 
 all: compile mmkeys.so translations
 	@echo "Done"
 	@echo "Type: 'make install' now"
 
 compile:
+	-bzr version-info --format=python > xl/version.py
 	python -m compileall xl lib
 	python -O -m compileall xl lib
 
@@ -69,13 +69,14 @@
 	  /bin/echo -e \
 	    "#!/bin/sh\n" \
 	    "cd $(PREFIX)/share/exaile\n" \
-	    "export LD_LIBRARY_PATH=\$$LD_LIBRARY_PATH:$(FIREFOX)\n" \
-		"export MOZILLA_FIVE_HOME=$(FIREFOX)\n" \
 	    "exec python $(PREFIX)$(LIBDIR)/exaile/exaile.py \"\$$@\"" \
 	    > exaile && \
 	  chmod 755 exaile
 	for f in `find po -name exaile.mo` ; do \
-	  install -D -m 644 $$f \
+	  install -d -m 755 \
+	    `echo $$f | sed "s|^po|$(DESTDIR)$(PREFIX)/share/locale|" | \
+	      xargs dirname` && \
+	  install -m 644 $$f \
 	    `echo $$f | sed "s|^po|$(DESTDIR)$(PREFIX)/share/locale|"` ; \
 	  done
 
@@ -87,7 +88,7 @@
 	rm -f exaile.glade.h messages.pot plugins/plugins.glade.h
 
 tarball: clean
-	tar --exclude .svn -czvf ../exaile.tar.gz ../exaile
+	tar --exclude .bzr -czvf ../exaile.tar.gz ../exaile
 
 uninstall:
 	rm -rf $(DESTDIR)$(PREFIX)/share/exaile

=== mmkeys/Makefile ===
# Copyright 2004 Joe Wreschnig. Released under the terms of the GNU GPL.

mmkeys.so: build
	cp build/lib*/mmkeys.so .

build: mmkeyspy.c
	./setup.py build

DEFS=`pkg-config --variable=defsdir pygtk-2.0`

mmkeyspy.c: mmkeys.defs mmkeys.override
	pygtk-codegen-2.0 --prefix mmkeys \
	  --register $(DEFS)/gdk-types.defs \
	  --register $(DEFS)/gtk-types.defs \
	  --override mmkeys.override \
	  mmkeys.defs > $@

clean:
	rm -f mmkeys.so *.o mmkeyspy.c
	rm -rf build dist

distclean: clean
	rm -f *~ gen-tmp

## exaile 0.3.0.1

=== Makefile ===
PREFIX ?= /usr/local
LIBINSTALLDIR ?= /lib
XDGCONFDIR ?= /etc/xdg

EXAILELIBDIR = $(DESTDIR)$(PREFIX)$(LIBINSTALLDIR)/exaile
EXAILESHAREDIR = $(DESTDIR)$(PREFIX)/share/exaile

all: compile
	@echo "Ready to install..."

compile:
	python -m compileall -q xl xlgui
	-python -O -m compileall -q xl xlgui
	cd plugins && make && cd ..

make-install-dirs:
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(EXAILELIBDIR)
	mkdir -p $(EXAILELIBDIR)/xl
	mkdir -p $(EXAILELIBDIR)/xl/metadata
	mkdir -p $(EXAILELIBDIR)/xl/player
	mkdir -p $(EXAILELIBDIR)/xlgui
	mkdir -p $(EXAILELIBDIR)/xlgui/panel
	mkdir -p $(EXAILELIBDIR)/xlgui/prefs
	mkdir -p $(EXAILESHAREDIR)
	mkdir -p $(EXAILESHAREDIR)/data
	mkdir -p $(EXAILESHAREDIR)/data/images/16x16
	mkdir -p $(EXAILESHAREDIR)/data/images/22x22
	mkdir -p $(EXAILESHAREDIR)/data/images/24x24
	mkdir -p $(EXAILESHAREDIR)/data/images/32x32
	mkdir -p $(EXAILESHAREDIR)/data/images/48x48
	mkdir -p $(EXAILESHAREDIR)/data/images/svg
	mkdir -p $(EXAILESHAREDIR)/data/glade
	mkdir -p $(EXAILESHAREDIR)/data/migrations
	mkdir -p $(EXAILESHAREDIR)/data/migrations/migration_200907100931
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	mkdir -p $(DESTDIR)$(XDGCONFDIR)/exaile

uninstall:
	rm -f  $(DESTDIR)$(PREFIX)/bin/exaile
	rm -rf $(EXAILELIBDIR)
	rm -rf $(EXAILESHAREDIR)
	rm -rf $(DESTDIR)$(XDGCONFDIR)/exaile
	rm -f $(DESTDIR)$(PREFIX)/share/applications/exaile.desktop
	rm -f $(DESTDIR)$(PREFIX)/share/pixmaps/exaile.png
	cd plugins && make uninstall && cd ..

install: install-target locale install-locale

install_no_locale: install-target

install-target: make-install-dirs
	install -m 644 exaile.py $(EXAILELIBDIR)	
	-install -m 644 xl/*.py[co] $(EXAILELIBDIR)/xl
	install -m 644 xl/*.py $(EXAILELIBDIR)/xl
	-install -m 644 xl/metadata/*.py[co] $(EXAILELIBDIR)/xl/metadata
	install -m 644 xl/metadata/*.py $(EXAILELIBDIR)/xl/metadata
	-install -m 644 xl/player/*.py[co] $(EXAILELIBDIR)/xl/player
	install -m 644 xl/player/*.py $(EXAILELIBDIR)/xl/player
	-install -m 644 xlgui/*.py[co] $(EXAILELIBDIR)/xlgui
	install -m 644 xlgui/*.py $(EXAILELIBDIR)/xlgui
	-install -m 644 xlgui/panel/*.py[co] $(EXAILELIBDIR)/xlgui/panel
	install -m 644 xlgui/panel/*.py $(EXAILELIBDIR)/xlgui/panel
	-install -m 644 xlgui/prefs/*.py[co] $(EXAILELIBDIR)/xlgui/prefs
	install -m 644 xlgui/prefs/*.py $(EXAILELIBDIR)/xlgui/prefs
	install -m 644 data/images/16x16/*.png $(EXAILESHAREDIR)/data/images/16x16
	install -m 644 data/images/22x22/*.png $(EXAILESHAREDIR)/data/images/22x22
	install -m 644 data/images/24x24/*.png $(EXAILESHAREDIR)/data/images/24x24
	install -m 644 data/images/32x32/*.png $(EXAILESHAREDIR)/data/images/32x32
	install -m 644 data/images/48x48/*.png $(EXAILESHAREDIR)/data/images/48x48
	install -m 644 data/images/svg/*.svg $(EXAILESHAREDIR)/data/images/svg
	install -m 644 data/images/*.png $(EXAILESHAREDIR)/data/images
	install -m 644 data/images/48x48/exaile.png \
		$(DESTDIR)$(PREFIX)/share/pixmaps/exaile.png
	install -m 644 data/glade/*.glade $(EXAILESHAREDIR)/data/glade
	install -m 644 data/migrations/*.py $(EXAILESHAREDIR)/data/migrations/
	install -m 644 data/migrations/migration_200907100931/*.py \
	    	$(EXAILESHAREDIR)/data/migrations/migration_200907100931/
	install -m 644 data/exaile.desktop \
		$(DESTDIR)$(PREFIX)/share/applications/	
	install -m 644 data/config/settings.ini $(DESTDIR)$(XDGCONFDIR)/exaile
	# the printf here is for bsd compat, dont use echo!
	cd $(DESTDIR)$(PREFIX)/bin && \
	 printf "#!/bin/sh\n\
	 exec python $(PREFIX)$(LIBINSTALLDIR)/exaile/exaile.py \
	 --datadir=$(PREFIX)/share/exaile/data --startgui \"\$$@\"" \
	 > exaile && \
	 chmod 755 exaile
	cd plugins && make install DESTDIR=$(DESTDIR) PREFIX=$(PREFIX) \
		&& cd ..

locale:
	cd po && find . -name "*.po" -exec ../tools/compilepo.sh {} \; && cd ..

install-locale:
	for f in `find po -name exaile.mo` ; do \
	  install -d -m 755 \
	    `echo $$f | sed "s|^po|$(DESTDIR)$(PREFIX)/share/locale|" | \
	      xargs dirname` && \
	  install -m 644 $$f \
	    `echo $$f | sed "s|^po|$(DESTDIR)$(PREFIX)/share/locale|"` ; \
	  done

plugins_extra_install:
	cd plugins && make extra_install DESTDIR=$(DESTDIR) PREFIX=$(PREFIX) \
	    && cd ..

plugins_dist:
	cd plugins && make dist && cd ..

clean:
	-find . -name "*.py[co]" -exec rm -f {} \;
	find . -name "*.class" -exec rm -f {} \;
	find . -name "*.bak" -exec rm -f {} \;
	find po/* -depth -type d -exec rm -r {} \;
	cd plugins && make clean && cd ..

pot:
	@echo "[encoding: UTF-8]" > po/POTFILES.in
	find xl -name "*.py" >> po/POTFILES.in
	find xlgui -name "*.py" >> po/POTFILES.in
	find data/glade/ -name "*.glade" >> po/POTFILES.in
	find plugins -name "*.py" >> po/POTFILES.in
	find plugins -name "*.glade" >> po/POTFILES.in
	find plugins -name PLUGININFO >> po/POTFILES.in
	python tools/createpot.py

translations:
	python tools/createpot.py compile

potball:
	tar --bzip2 --format=posix -cf exaile-po.tar.bz2 po/ \
	    --transform s/po/./

.PHONY: dist 

dist:
	mkdir -p dist
	rm -rf dist/copy
	bzr co --lightweight ./ dist/copy
	./tools/dist.sh
	rm -rf dist/copy

## exaile 0.3.1.1

=== Makefile ===
PREFIX 		?= /usr/local
LIBINSTALLDIR 	?= /lib
XDGCONFDIR 	?= /etc/xdg

EXAILELIBDIR 	= $(DESTDIR)$(PREFIX)$(LIBINSTALLDIR)/exaile
EXAILESHAREDIR 	= $(DESTDIR)$(PREFIX)/share/exaile
EXAILECONFDIR 	= $(DESTDIR)$(XDGCONFDIR)/exaile

.PHONY: dist test coverage clean sanitycheck

all: compile locale
	@echo "Ready to install..."

# The no_locale stuff is by request of BSD people, please ensure
# all methods that deal with locale stuff have a no_locale variant
all_no_locale: compile
	@echo "Ready to install..."

compile:
	python -m compileall -q xl xlgui
	-python -O -m compileall -q xl xlgui
	$(MAKE) -C plugins compile

make-install-dirs:
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(EXAILELIBDIR)
	mkdir -p $(EXAILELIBDIR)/xl
	mkdir -p $(EXAILELIBDIR)/xl/metadata
	mkdir -p $(EXAILELIBDIR)/xl/player
	mkdir -p $(EXAILELIBDIR)/xl/migrations
	mkdir -p $(EXAILELIBDIR)/xl/migrations/database
	mkdir -p $(EXAILELIBDIR)/xl/trax
	mkdir -p $(EXAILELIBDIR)/xlgui
	mkdir -p $(EXAILELIBDIR)/xlgui/panel
	mkdir -p $(EXAILELIBDIR)/xlgui/prefs
	mkdir -p $(EXAILESHAREDIR)
	mkdir -p $(EXAILESHAREDIR)/data
	mkdir -p $(EXAILESHAREDIR)/data/images/16x16
	mkdir -p $(EXAILESHAREDIR)/data/images/22x22
	mkdir -p $(EXAILESHAREDIR)/data/images/24x24
	mkdir -p $(EXAILESHAREDIR)/data/images/32x32
	mkdir -p $(EXAILESHAREDIR)/data/images/48x48
	mkdir -p $(EXAILESHAREDIR)/data/images/scalable
	mkdir -p $(EXAILESHAREDIR)/data/ui
	mkdir -p $(EXAILESHAREDIR)/data/migrations
	mkdir -p $(EXAILESHAREDIR)/data/migrations/migration_200907100931
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	mkdir -p $(EXAILECONFDIR)

uninstall:
	rm -f  $(DESTDIR)$(PREFIX)/bin/exaile
	rm -rf $(EXAILELIBDIR)
	rm -rf $(EXAILESHAREDIR)
	rm -rf $(EXAILECONFDIR)/exaile
	rm -f $(DESTDIR)$(PREFIX)/share/applications/exaile.desktop
	rm -f $(DESTDIR)$(PREFIX)/share/pixmaps/exaile.png
	$(MAKE) -C plugins uninstall

install: install-target install-locale

install_no_locale: install-target

install-target: make-install-dirs
	install -m 644 exaile.py $(EXAILELIBDIR)	
	-install -m 644 xl/*.py[co] $(EXAILELIBDIR)/xl
	install -m 644 xl/*.py $(EXAILELIBDIR)/xl
	-install -m 644 xl/metadata/*.py[co] $(EXAILELIBDIR)/xl/metadata
	install -m 644 xl/metadata/*.py $(EXAILELIBDIR)/xl/metadata
	-install -m 644 xl/player/*.py[co] $(EXAILELIBDIR)/xl/player
	install -m 644 xl/player/*.py $(EXAILELIBDIR)/xl/player
	-install -m 644 xl/migrations/*.py[co] $(EXAILELIBDIR)/xl/migrations
	install -m 644 xl/migrations/*.py $(EXAILELIBDIR)/xl/migrations
	-install -m 644 xl/migrations/database/*.py[co] $(EXAILELIBDIR)/xl/migrations/database/
	install -m 644 xl/migrations/database/*.py $(EXAILELIBDIR)/xl/migrations/database/
	-install -m 644 xl/trax/*.py[co] $(EXAILELIBDIR)/xl/trax
	install -m 644 xl/trax/*.py $(EXAILELIBDIR)/xl/trax
	-install -m 644 xlgui/*.py[co] $(EXAILELIBDIR)/xlgui
	install -m 644 xlgui/*.py $(EXAILELIBDIR)/xlgui
	-install -m 644 xlgui/panel/*.py[co] $(EXAILELIBDIR)/xlgui/panel
	install -m 644 xlgui/panel/*.py $(EXAILELIBDIR)/xlgui/panel
	-install -m 644 xlgui/prefs/*.py[co] $(EXAILELIBDIR)/xlgui/prefs
	install -m 644 xlgui/prefs/*.py $(EXAILELIBDIR)/xlgui/prefs
	install -m 644 data/images/16x16/*.png $(EXAILESHAREDIR)/data/images/16x16
	install -m 644 data/images/22x22/*.png $(EXAILESHAREDIR)/data/images/22x22
	install -m 644 data/images/24x24/*.png $(EXAILESHAREDIR)/data/images/24x24
	install -m 644 data/images/32x32/*.png $(EXAILESHAREDIR)/data/images/32x32
	install -m 644 data/images/48x48/*.png $(EXAILESHAREDIR)/data/images/48x48
	install -m 644 data/images/scalable/*.svg $(EXAILESHAREDIR)/data/images/scalable
	install -m 644 data/images/*.png $(EXAILESHAREDIR)/data/images
	install -m 644 data/images/48x48/exaile.png \
		$(DESTDIR)$(PREFIX)/share/pixmaps/exaile.png
	install -m 644 data/ui/*.ui $(EXAILESHAREDIR)/data/ui
	install -m 644 data/migrations/*.py $(EXAILESHAREDIR)/data/migrations/
	install -m 644 data/migrations/migration_200907100931/*.py \
	    	$(EXAILESHAREDIR)/data/migrations/migration_200907100931/
	install -m 644 data/exaile.desktop \
		$(DESTDIR)$(PREFIX)/share/applications/	
	install -m 644 data/config/settings.ini $(EXAILECONFDIR)
	# 2010-03-12 danfuhry: moved this to an external script to clean up syntax
	# and avoid makefile limitations
	tools/generate-launcher "$(DESTDIR)" "$(PREFIX)" "$(LIBINSTALLDIR)"
	chmod 755 $(DESTDIR)$(PREFIX)/bin/exaile
	$(MAKE) -C plugins install

locale:
	cd po && find . -name "*.po" -exec ../tools/compilepo.sh {} \; && cd ..

install-locale:
	for f in `find po -name exaile.mo` ; do \
	  install -d -m 755 \
	    `echo $$f | sed "s|^po|$(DESTDIR)$(PREFIX)/share/locale|" | \
	      xargs dirname` && \
	  install -m 644 $$f \
	    `echo $$f | sed "s|^po|$(DESTDIR)$(PREFIX)/share/locale|"` ; \
	  done

plugins_dist:
	$(MAKE) -C plugins dist


clean:
	-find . -name "*.~[0-9]~" -exec rm -f {} \;
	-find . -name "*.py[co]" -exec rm -f {} \;
	find po/* -depth -type d -exec rm -r {} \;
	$(MAKE) -C plugins clean

# The [type: gettext/glade] helps intltool recognize .ui files as glade format
pot:
	echo "[encoding: UTF-8]" > po/POTFILES.in && \
	  find xl -name "*.py" >> po/POTFILES.in && \
	  find xlgui -name "*.py" >> po/POTFILES.in && \
	  find data/ui/ -name "*.ui" | sed 's/^/[type: gettext\/glade]/' >> po/POTFILES.in && \
	  find plugins -name "*.py" >> po/POTFILES.in && \
	  find plugins -name "*.ui" | sed 's/^/[type: gettext\/glade]/' >> po/POTFILES.in && \
	  find plugins -name PLUGININFO >> po/POTFILES.in && \
	  cd po && XGETTEXT_ARGS="--language=Python --add-comments=TRANSLATORS" \
	    intltool-update --pot --gettext-package=messages --verbose && cd ..

potball:
	tar --bzip2 --format=posix -cf build/exaile-po.tar.bz2 po/ \
	    --transform s/po/./


dist:
	mkdir -p dist
	rm -rf dist/copy
	bzr export dist/copy/
	./tools/dist.sh
	rm -rf dist/copy

test:
	nosetests -w tests

test_coverage:
	rm -rf coverage/
	rm -f .coverage
	nosetests -w tests --with-coverage --cover-package=xl; \
	mkdir -p coverage; \
	coverage html -d coverage

lint_errors:
	-pylint -e --rcfile tools/pylint.cfg xl xlgui 2> /dev/null

sanitycheck: lint_errors test

## exaile 0.3.2.0

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 .PHONY: dist test coverage clean sanitycheck
 
-all: compile locale
+all: compile locale manpage
 	@echo "Ready to install..."
 
 # The no_locale stuff is by request of BSD people, please ensure
@@ -29,10 +29,12 @@
 	mkdir -p $(EXAILELIBDIR)/xl/player
 	mkdir -p $(EXAILELIBDIR)/xl/migrations
 	mkdir -p $(EXAILELIBDIR)/xl/migrations/database
+	mkdir -p $(EXAILELIBDIR)/xl/migrations/settings
 	mkdir -p $(EXAILELIBDIR)/xl/trax
 	mkdir -p $(EXAILELIBDIR)/xlgui
 	mkdir -p $(EXAILELIBDIR)/xlgui/panel
-	mkdir -p $(EXAILELIBDIR)/xlgui/prefs
+	mkdir -p $(EXAILELIBDIR)/xlgui/preferences
+	mkdir -p $(EXAILELIBDIR)/xlgui/widgets
 	mkdir -p $(EXAILESHAREDIR)
 	mkdir -p $(EXAILESHAREDIR)/data
 	mkdir -p $(EXAILESHAREDIR)/data/images/16x16
@@ -42,10 +44,13 @@
 	mkdir -p $(EXAILESHAREDIR)/data/images/48x48
 	mkdir -p $(EXAILESHAREDIR)/data/images/scalable
 	mkdir -p $(EXAILESHAREDIR)/data/ui
+	mkdir -p $(EXAILESHAREDIR)/data/ui/preferences
+	mkdir -p $(EXAILESHAREDIR)/data/ui/widgets
 	mkdir -p $(EXAILESHAREDIR)/data/migrations
 	mkdir -p $(EXAILESHAREDIR)/data/migrations/migration_200907100931
 	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
 	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
+	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
 	mkdir -p $(EXAILECONFDIR)
 
 uninstall:
@@ -55,6 +60,7 @@
 	rm -rf $(EXAILECONFDIR)/exaile
 	rm -f $(DESTDIR)$(PREFIX)/share/applications/exaile.desktop
 	rm -f $(DESTDIR)$(PREFIX)/share/pixmaps/exaile.png
+	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/exaile.1.gz
 	$(MAKE) -C plugins uninstall
 
 install: install-target install-locale
@@ -73,14 +79,18 @@
 	install -m 644 xl/migrations/*.py $(EXAILELIBDIR)/xl/migrations
 	-install -m 644 xl/migrations/database/*.py[co] $(EXAILELIBDIR)/xl/migrations/database/
 	install -m 644 xl/migrations/database/*.py $(EXAILELIBDIR)/xl/migrations/database/
+	-install -m 644 xl/migrations/settings/*.py[co] $(EXAILELIBDIR)/xl/migrations/settings/
+	install -m 644 xl/migrations/settings/*.py $(EXAILELIBDIR)/xl/migrations/settings/
 	-install -m 644 xl/trax/*.py[co] $(EXAILELIBDIR)/xl/trax
 	install -m 644 xl/trax/*.py $(EXAILELIBDIR)/xl/trax
 	-install -m 644 xlgui/*.py[co] $(EXAILELIBDIR)/xlgui
 	install -m 644 xlgui/*.py $(EXAILELIBDIR)/xlgui
 	-install -m 644 xlgui/panel/*.py[co] $(EXAILELIBDIR)/xlgui/panel
 	install -m 644 xlgui/panel/*.py $(EXAILELIBDIR)/xlgui/panel
-	-install -m 644 xlgui/prefs/*.py[co] $(EXAILELIBDIR)/xlgui/prefs
-	install -m 644 xlgui/prefs/*.py $(EXAILELIBDIR)/xlgui/prefs
+	-install -m 644 xlgui/preferences/*.py[co] $(EXAILELIBDIR)/xlgui/preferences
+	install -m 644 xlgui/preferences/*.py $(EXAILELIBDIR)/xlgui/preferences
+	-install -m 644 xlgui/widgets/*.py[co] $(EXAILELIBDIR)/xlgui/widgets
+	install -m 644 xlgui/widgets/*.py $(EXAILELIBDIR)/xlgui/widgets
 	install -m 644 data/images/16x16/*.png $(EXAILESHAREDIR)/data/images/16x16
 	install -m 644 data/images/22x22/*.png $(EXAILESHAREDIR)/data/images/22x22
 	install -m 644 data/images/24x24/*.png $(EXAILESHAREDIR)/data/images/24x24
@@ -91,20 +101,21 @@
 	install -m 644 data/images/48x48/exaile.png \
 		$(DESTDIR)$(PREFIX)/share/pixmaps/exaile.png
 	install -m 644 data/ui/*.ui $(EXAILESHAREDIR)/data/ui
+	install -m 644 data/ui/preferences/*.ui $(EXAILESHAREDIR)/data/ui/preferences
+	install -m 644 data/ui/widgets/*.ui $(EXAILESHAREDIR)/data/ui/widgets
 	install -m 644 data/migrations/*.py $(EXAILESHAREDIR)/data/migrations/
 	install -m 644 data/migrations/migration_200907100931/*.py \
 	    	$(EXAILESHAREDIR)/data/migrations/migration_200907100931/
 	install -m 644 data/exaile.desktop \
 		$(DESTDIR)$(PREFIX)/share/applications/	
+	-install -m 644 exaile.1.gz $(DESTDIR)$(PREFIX)/share/man/man1/
 	install -m 644 data/config/settings.ini $(EXAILECONFDIR)
-	# 2010-03-12 danfuhry: moved this to an external script to clean up syntax
-	# and avoid makefile limitations
-	tools/generate-launcher "$(DESTDIR)" "$(PREFIX)" "$(LIBINSTALLDIR)"
-	chmod 755 $(DESTDIR)$(PREFIX)/bin/exaile
+	tools/generate-launcher "$(DESTDIR)" "$(PREFIX)" "$(LIBINSTALLDIR)" && \
+	  chmod 755 $(DESTDIR)$(PREFIX)/bin/exaile
 	$(MAKE) -C plugins install
 
 locale:
-	cd po && find . -name "*.po" -exec ../tools/compilepo.sh {} \; && cd ..
+	$(MAKE) -C po locale
 
 install-locale:
 	for f in `find po -name exaile.mo` ; do \
@@ -118,22 +129,33 @@
 plugins_dist:
 	$(MAKE) -C plugins dist
 
+# The sed call in -h removes the indent from group headers to work around
+# help2man's incompatibility with optparse's grouping.
+# The sed call in -v removes the ASCII art from Exaile's --version and
+# prints out the proper "$program $version" text.
+manpage:
+	help2man -n "music manager and player" -N \
+	  -h './exaile --help | sed "s/^  //"' \
+	  -v './exaile --version | sed -n "4 s/.* v\\(.*\\)/exaile \\1/ p"' \
+	  ./exaile \
+	  | gzip -9 > exaile.1.gz
 
 clean:
 	-find . -name "*.~[0-9]~" -exec rm -f {} \;
 	-find . -name "*.py[co]" -exec rm -f {} \;
 	find po/* -depth -type d -exec rm -r {} \;
+	rm -f exaile.1.gz
 	$(MAKE) -C plugins clean
 
-# The [type: gettext/glade] helps intltool recognize .ui files as glade format
+# The "[type: gettext/glade]" helps intltool recognize .ui files as glade format
 pot:
 	echo "[encoding: UTF-8]" > po/POTFILES.in && \
 	  find xl -name "*.py" >> po/POTFILES.in && \
 	  find xlgui -name "*.py" >> po/POTFILES.in && \
 	  find data/ui/ -name "*.ui" | sed 's/^/[type: gettext\/glade]/' >> po/POTFILES.in && \
-	  find plugins -name "*.py" >> po/POTFILES.in && \
-	  find plugins -name "*.ui" | sed 's/^/[type: gettext\/glade]/' >> po/POTFILES.in && \
-	  find plugins -name PLUGININFO >> po/POTFILES.in && \
+	  find plugins -name "*.py" | grep -v treeviewtest >> po/POTFILES.in && \
+	  find plugins -name "*.ui" | grep -v treeviewtest | sed 's/^/[type: gettext\/glade]/' >> po/POTFILES.in && \
+	  find plugins -name PLUGININFO | grep -v treeviewtest >> po/POTFILES.in && \
 	  cd po && XGETTEXT_ARGS="--language=Python --add-comments=TRANSLATORS" \
 	    intltool-update --pot --gettext-package=messages --verbose && cd ..

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/Exaile.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/Exaile.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== plugins/Makefile ===
PREFIX ?= /usr/local
PLUGINSDIR = /share/exaile/plugins/

INSTALL_PLUGINS = `python list.py`

# EXTRA_PLUGINS = ipconsole \
#                helloworld

DIST_PLUGINS = $(INSTALL_PLUGINS) #$(EXTRA_PLUGINS)

all: compile

dist:
	mkdir -p ../dist/plugins/
	python dist_plugin.py --output ../dist/plugins/ $(DIST_PLUGINS)

compile:
	python -m compileall -q .
	-python -O -m compileall -q .

install:
	mkdir -p $(DESTDIR)$(PREFIX)$(PLUGINSDIR)
	for plugin in $(INSTALL_PLUGINS); do \
	    cp -r $${plugin} $(DESTDIR)$(PREFIX)$(PLUGINSDIR) ; \
	    done ;

extra_install:
	mkdir -p $(DESTDIR)$(PREFIX)$(PLUGINSDIR)
	for plugin in $(EXTRA_PLUGINS); do \
	    cp -r $${plugin} $(DESTDIR)$(PREFIX)$(PLUGINSDIR) ; \
	    done ;

uninstall:
	rm -rf $(PREFIX)$(PLUGINSDIR)*

clean:
	find . -name "*.py[co]" -exec rm -f {} \;

=== debian/changelog ===
exaile (0.3.2.0-0ubuntu3) maverick; urgency=low

  * debian/control: Fix typo in package description. (LP: #621583)
  * debian/patches/jamendo_plugin_fix.diff:
   - Update Jamendo plugin for internal API changes and add
     missing import. Backported from upstream (LP: #624948).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 21 Aug 2010 01:57:06 -0400

exaile (0.3.2.0-0ubuntu2) maverick; urgency=low

  * debian/control:
   - Bump Standards-Version to 3.9.1.
   - Explicitly depend on python-gobject (>= 2.18).
   - Drop depricated python-glade2 depends.
   - No need for plugins to depend on packages that exaile
     itself already depends on.
   - Update package descriptions.
  * Convert to DebSrc format 3.0.
  * Convert to dh7.
  * Drop un-needed pyversions file.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 20 Aug 2010 23:45:07 -0400

exaile (0.3.2.0-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * debian/exaile.1, debian/exaile.manpages: Drop manpage, now
    provided by upstream.
  * debian/control:
   - Versionize python-gtk2 Depends (>= 2.17).
   - Drop redundant gstreamer0.10-plugins-base Depends as we
     already Depend on gstreamer0.10-plugins-good.
   - Build-Depend on help2man and python-gtk2 (exaile.py is called
     and glib must be imported while building the manpage).
  * debian/exaile.install: Install manpage and shutdown plugin. 

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 22 Jun 2010 16:38:26 -0400

exaile (0.3.1.1-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release.

  * debian/exaile.1, debian/exaile.manpages: Include and
    install manpage for exaile based on help2man output
    but including additions and tweaks.
  * debian/source/format: Add a file conataining "1.0"
    to make lintian happy. 

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 12 Apr 2010 20:46:51 -0400

exaile (0.3.1.0-0ubuntu2) lucid; urgency=low

  * Fix typo in 10_ubuntu_defaults.patch introduced in
    last upload. (LP: #548732) 

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 26 Mar 2010 11:52:03 -0400

exaile (0.3.1.0-0ubuntu1) lucid; urgency=low

  * New upsream release.
  * exaile.install: Install exfalso, currentsong, and
    lyricwiki plugins.
  * debian/control: Suggest exfalso.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 24 Mar 2010 23:34:17 -0400

exaile (0.3.1~b1-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Adjust exaile.install for new plugins.
  * debian/control:
   - Drop unneeded python-dev Build-Dep.
   - Bump Standards-Version to 3.8.4 
  * debian/rules: No empty po files to delete.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 12 Feb 2010 19:51:01 -0500

exaile (0.3.0.2-0ubuntu1) lucid; urgency=low

  * New upstream bug-fix release:
   - The contextinfo plugin now works with newer 
     versions of webkit. (LP: #427064)
   - A bug in the collection panel affecting expansion
     of items containing quote marks was fixed.
   - Non-ascii characters are now ordered correctly in
     the collection panel. (LP: #309394)
  * debian/patches: Remove un-needed series file. We use simple-patchsys.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 09 Nov 2009 23:09:35 -0500

exaile (0.3.0.1-0ubuntu6) karmic; urgency=low

  * debian/control: Add dependency on librsvg2-common. (LP: #445279)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 08 Oct 2009 00:13:55 -0400

exaile (0.3.0.1-0ubuntu5) karmic; urgency=low

  * debian/control: Add python-mmkeys Recommends for
    xkeys plugin. (LP: #441844)
  * debian/patches/10_notify-osd_by_default.patch renamed
    10_ubuntu_defaults.patch.
   - Prefer local covers to not over write them.
   - Set default import format.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 05 Oct 2009 17:22:46 -0400

exaile (0.3.0.1-0ubuntu4) karmic; urgency=low

  * libwebkit-1.0-1 -> libwebkit-1.0-2 transition.
  * debian/control:
   - Drop redundant libwebkit dependency for contextinfo plugin,
     python-webkit dep already pulls it in.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 03 Oct 2009 13:21:17 -0400

exaile (0.3.0.1-0ubuntu3) karmic; urgency=low

  * debian/exaile.install: Install notify and notify-osd plugins.
  * debian/control: 
   - Add Recommends on python-notify and Suggests on notify-osd
     and ipython.
   - Add python-imaging Depends for exaile-plugin-contextinfo.
  * debian/patches/10_notify-osd_by_default.patch: (LP: #397210)
   - Enable Notify-OSD plugin by default as Exaile is part of the
     default Xubuntu desktop.  

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 24 Sep 2009 23:34:45 -0400

exaile (0.3.0.1-0ubuntu2) karmic; urgency=low

  * debian/rules: Remove empty PO files to resolve FTBFS. (LP: #420019)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 22 Sep 2009 12:40:59 -0400

exaile (0.3.0.1-0ubuntu1) karmic; urgency=low

  * New upstream release, complete rewrite. (LP: #420019)
  * debian/*: Packaging rewrite based on upstream packaging.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 12 Sep 2009 17:02:32 -0400

exaile (0.2.14+debian-2ubuntu3) karmic; urgency=low

  * debian/control:
   - Drop gstreamer0.10-plugins-ugly and gstreamer0.10-plugins-bad to suggests
     from recommends.

 -- Cody A.W. Somerville <cody-somerville@ubuntu.com>  Thu, 13 Aug 2009 10:37:44 -0300

exaile (0.2.14+debian-2ubuntu2) karmic; urgency=low

  * debian/rules: 
   - Really delete feedparser.py and win32-mmkeys.py in Ubuntu
  * debian/patches/000-Do_not_download_remote_plugins.diff:
   - Disable all update checking. As we disable the ability to
     download updates, we shouldn't throw pop-ups about them.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 06 Jun 2009 19:23:09 -0400

exaile (0.2.14+debian-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #382852), remaining changes:
    - debian/control:
      + Add XS/XB-Python-Version


=== debian/control ===
Source: exaile
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Vcs-Browser: http://bazaar.launchpad.net/~exaile-packagers/exaile/ubuntu/files
Vcs-Bzr: https://code.launchpad.net/~exaile-packagers/exaile/ubuntu
Homepage: http://www.exaile.org/
Build-Depends: debhelper (>= 7.0.50~),
    help2man
Build-Depends-Indep: python-support (>= 0.5.3),
    python (>= 2.5),
    python-gtk2
XS-Python-Version: >= 2.5
Standards-Version: 3.9.1

Package: exaile
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends},
    ${misc:Depends},
    python (>= 2.5),
    python-gst0.10,
    gstreamer0.10-plugins-good,
    python-mutagen,
    python-dbus,
    python-gtk2 (>= 2.17),
    python-gobject (>= 2.18),
    librsvg2-common
Recommends: hal,
    python-sexy,
    python-cddb,
    python-notify,
    python-mmkeys
Suggests: gstreamer0.10-plugins-bad,
    gstreamer0.10-plugins-bad-multiverse,
    gstreamer0.10-plugins-ugly,
    gstreamer0.10-plugins-ugly-multiverse,
    gstreamer0.10-ffmpeg,
    exaile-plugin-contextinfo,
    exaile-plugin-ipod,
    notify-osd,
    streamripper,
    ipython,
    exfalso
Description: full featured music player written for GTK+
 Exaile is a music manager and player aiming for speed, simplicity
 and intuitive usage while offering rich features at the same time.
 Its features include tabbed playlists, ReplayGain, an equalizer,
 automatic fetching of album art and lyrics, Last.fm support, and
 advanced tag editing.
 .
 Originally conceived to be similar in style and function to KDE's
 Amarok 1, Exaile uses the GTK+ widget toolkit. It is written in
 Python, utilizing the GStreamer media framework.

Package: exaile-plugin-contextinfo
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends},
    ${misc:Depends},
    exaile (>= 0.3.0),
    python-webkit (>= 1.1.2),
    python-imaging
Description: Exaile plugin for contextual information
 This Exaile plugin adds a sidepanel for contextual information based on
 the Exaile internal tags and statistics, on lyrics plugins, and on the LastFM
 API.
 .
 Exaile is a music manager and player aiming for speed, simplicity
 and intuitive usage while offering rich features at the same time.
 Its features include tabbed playlists, ReplayGain, an equalizer,
 automatic fetching of album art and lyrics, Last.fm support, and
 advanced tag editing.
 .
 Originally conceived to be similar in style and function to KDE's
 Amarok 1, Exaile uses the GTK+ widget toolkit. It is written in
 Python, utilizing the GStreamer media framework.

Package: exaile-plugin-ipod
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends},
    ${misc:Depends},
    exaile (>= 0.3.0),
    python-gpod,
    hal
Description: Exaile plugin for iPod support
 This Exaile plugin adds support for the iPod portable media players in the
 Exaile device manager.
 .
 Exaile is a music manager and player aiming for speed, simplicity
 and intuitive usage while offering rich features at the same time.
 Its features include tabbed playlists, ReplayGain, an equalizer,
 automatic fetching of album art and lyrics, Last.fm support, and
 advanced tag editing.
 .
 Originally conceived to be similar in style and function to KDE's
 Amarok 1, Exaile uses the GTK+ widget toolkit. It is written in
 Python, utilizing the GStreamer media framework.

Package: exaile-plugin-moodbar
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends},
    ${misc:Depends},
    exaile (>= 0.3.0),
    moodbar
Description: Exaile plugin for moodbar
 This Exaile plugin turns the progress bar of the tracks into a bar which
 color depends on the tracks' mood.
 .
 Exaile is a music manager and player aiming for speed, simplicity
 and intuitive usage while offering rich features at the same time.
 Its features include tabbed playlists, ReplayGain, an equalizer,
 automatic fetching of album art and lyrics, Last.fm support, and
 advanced tag editing.
 .
 Originally conceived to be similar in style and function to KDE's
 Amarok 1, Exaile uses the GTK+ widget toolkit. It is written in
 Python, utilizing the GStreamer media framework.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Don't run test suite.
override_dh_auto_test:

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/ PREFIX=/usr
	dh_install debian/exaile.xpm usr/share/pixmaps
	find -iname "COPYING" | xargs rm
	dh_install

override_dh_pysupport:
	dh_pysupport -pexaile
	dh_pysupport -pexaile-plugin-contextinfo /usr/share/exaile/plugins/
	dh_pysupport -pexaile-plugin-ipod /usr/share/exaile/plugins/
	dh_pysupport -pexaile-plugin-moodbar /usr/share/exaile/plugins/

=== debian/watch ===
version=3
https://launchpad.net/exaile/+download http://launchpad.net/exaile/.*/exaile-(.*)\.tar\.gz

## exaile 0.3.2.1

=== debian/changelog ===
exaile (0.3.2.1-0buntu1) natty; urgency=low

  * New upstream release (LP: #714484, LP: #630221).
  * Drop debian/patches/jamendo_plugin_fix.diff,
    fixed upstream.
  * debian/patches/10_ubuntu_defaults.diff:
   - Don't enable shoutcast plugin.
  * debian/exaile.install: Don't install shoutcast plugin.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 13 Feb 2011 12:33:27 -0500
